Bug 8203 - winbindd needs to reset the DC connection if an RPC times out.
winbindd needs to reset the DC connection if an RPC times out.
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Winbind
unspecified
All All
: P5 regression
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-03 21:21 UTC by Jeremy Allison
Modified: 2014-07-24 20:39 UTC (History)
1 user (show)

See Also:


Attachments
git-am fix for 3.6.0 (8.45 KB, patch)
2011-06-03 21:30 UTC, Jeremy Allison
vl: review+
metze: review+
Details
Patch (4.60 KB, patch)
2011-06-06 15:35 UTC, Volker Lendecke
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2011-06-03 21:21:56 UTC
Found by Volker. Patch to follow.
Comment 1 Jeremy Allison 2011-06-03 21:30:07 UTC
Created attachment 6516 [details]
git-am fix for 3.6.0

Volker, patch based on your original code.
Comment 2 Volker Lendecke 2011-06-06 15:35:44 UTC
Created attachment 6527 [details]
Patch

Alternative attempt. Does not mess with the events subsystem at all.
Comment 3 Jeremy Allison 2011-06-06 16:49:11 UTC
You put this patch on the wrong bug. Should be on bug #8197 - winbind does not properly detect when a DC connection is dead.

Jeremy.
Comment 4 Jeremy Allison 2011-06-06 16:52:10 UTC
Comment on attachment 6527 [details]
Patch

Moved patch to correct bug.
Jeremy.
Comment 5 Stefan Metzmacher 2011-06-07 05:32:20 UTC
Comment on attachment 6516 [details]
git-am fix for 3.6.0

Looks good to me, but still waiting for ack from Volker...
Comment 6 Karolin Seeger 2011-06-07 11:11:00 UTC
Pushed to v3-6-test.
Closing out bug report.

Thanks!
Comment 7 Volker Lendecke 2011-09-08 08:48:01 UTC
Hmmm. I don't see this code in master. Don't we need it there as well?
Comment 8 Stefan Metzmacher 2011-09-08 09:59:28 UTC
(In reply to comment #7)
> Hmmm. I don't see this code in master. Don't we need it there as well?

It seems 5b5ef7f20d34f4c6c1d3d02530ac7b13e051c960 
is missing in master. Jeremy please to a 

git cherry-pick -x 5b5ef7f20d34f4c6c1d3d02530ac7b13e051c960
in master.
Comment 9 Jeremy Allison 2011-09-08 17:58:49 UTC
Ok, picked and sent to autobuild.
Jeremy.
Comment 10 Guenther Deschner 2012-03-22 14:31:34 UTC
Is this an issue for 3.5 as well actually ?
Comment 11 Andreas Schneider 2012-04-27 08:59:39 UTC
Ping?
Comment 12 Björn Jacke 2014-07-24 20:39:21 UTC
this is in master an 3.5 won't see any fixes like this anymore anyhow